Safe Haskell | None

QuasiExpr

# Documentation

data Expr #

Constructors

IntExpr Integer |
AntiIntExpr String |
BinopExpr BinOp Expr Expr |
AntiExpr String |

Instances

Show Expr # |
Instance details Methods showsPrec :: Int -> Expr -> ShowS # show :: Expr -> String # showList :: [Expr] -> ShowS #

data BinOp #

Constructors

AddOp |
SubOp |
MulOp |
DivOp |

Instances

Show BinOp # |
Instance details Methods showsPrec :: Int -> BinOp -> ShowS # show :: BinOp -> String # showList :: [BinOp] -> ShowS #

eval :: Expr -> Integer #

expr :: QuasiQuoter #

parseExprExp :: String -> Q Exp #